Bug 251343 - sysutils/syslog-ng: Build broken with nondefault Python
Summary: sysutils/syslog-ng: Build broken with nondefault Python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-24 11:46 UTC by Christian Ullrich
Modified: 2021-03-27 03:09 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (cy)


Attachments
Patch (1021 bytes, patch)
2020-12-26 16:03 UTC, Christian Ullrich
chris: maintainer-approval? (cy)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Ullrich 2020-11-24 11:46:46 UTC
The 3.30.1 update to syslog-ng breaks the build with a non-default Python version. Line 184 of the Makefile should not have Python 3.7 hardcoded in the file name.
Comment 1 Christian Ullrich 2020-12-26 16:03:56 UTC
Created attachment 220952 [details]
Patch
Comment 2 Cy Schubert freebsd_committer 2020-12-26 17:00:45 UTC
Needs a port revision bump as well. I can take care of it.
Comment 3 commit-hook freebsd_committer 2020-12-30 05:51:57 UTC
A commit references this bug:

Author: cy
Date: Wed Dec 30 05:51:10 UTC 2020
New revision: 559641
URL: https://svnweb.freebsd.org/changeset/ports/559641

Log:
  Fix build with broken nondefault python.

  PR:		251343
  Submitted by:	Christian Ullrich <chris _ chrullrich.net>

Changes:
  head/sysutils/syslog-ng/Makefile
Comment 4 Cy Schubert freebsd_committer 2021-03-27 03:09:04 UTC
Fixed.